Subject: Building groff & ncurses (B19, NT 4.0 SP3)
From: [email-masked] (Smith, Martin)

3 Mar 1998 10:28:03 -0800
Message-ID: <[email-masked]>
To: [email-masked], [email-masked]

Michael, your updates on ported software are useful. However, I seem to have
had less luck than you (or I am doing something wrong as usual). I tried
compiling groff but ran into the following problem whilst making it. I'm
afraid my knowledge of Makefiles and shell scripts is still rather
rudimentary at this stage - can anyone enlighten me as to why this might
have failed?

================
.....stuff deleted........
Making groff_char.n from groff_char.man
for f in tmac.e tmac.doc tmac.doc.old doc-common doc-ditroff doc-nroff
doc-syms;
 do \
  rm -f $f-s; \
  sed -f ./strip.sed ./$f >$f-s; \
done
touch stamp-strip
if test -n ""; then \
  for m in ; do \
    rm -f $m-wrap; \
    echo .cp 1 >$m-wrap; \
    echo .so $m >>$m-wrap; \
  done; \
fi
/bin/sh: -c: line 1: syntax error near unexpected token `;'
/bin/sh: -c: line 1: `if test -n ""; then  for m in ; do  rm -f $m-wrap;
echo .
cp 1 >$m-wrap;  echo .so $m >>$m-wrap;  done;  fi'
make[2]: *** [stamp-wrap] Error 2
make[1]: *** [tmac] Error 2
make: *** [all] Error 2
bash.exe-2.01$
=========================

I also had a problem with ncurses - it seems to be having some problems
installing tic (even if I manually create the directory it is complaining
about). Again, I would appreciate any feedback on what I may be doing wrong.

=========================
/usr/bin/install -c -m 644 ../lib/libncurses_g.a
/usr/local/lib/libncurses_g.a
ranlib /usr/local/lib/libncurses_g.a
cd progs; make --unix INSTALL_PREFIX="" install
/usr/bin/install -c tic     /usr/local/bin/tic
/usr/bin/install: tic: No such file or directory
make[1]: *** [install.progs] Error 1
make: *** [install] Error 2
bash.exe-2.01$
===============================

Regards,
	Martin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".